<ui:composition xmlns:ui="http://java.sun.com/jsf/facelets" xmlns:s="http://jboss.org/schema/seam/taglib"
                xmlns:h="http://java.sun.com/jsf/html" xmlns:a4j="http://richfaces.org/a4j"
                xmlns:f="http://java.sun.com/jsf/core"
                xmlns:gri="http://java.sun.com/jsf/composite/gri"
                xmlns="http://www.w3.org/1999/xhtml">
    <gri:panel rendered="#{updateDocumentSet.editXDSDocumentEntry}" id="paneldoc">
        <f:facet name="header">#{messages['net.ihe.gazelle.xdstar.XDSDocumentEntry']}</f:facet>
        <div class="form-horizontal">

            <s:decorate template="/layout/form/_form_field_horizontal_inline.xhtml">
                <ui:param name="id" value="XDSDocumentEntryTitle"/>
                <ui:define name="label">#{messages['net.ihe.gazelle.xdstar.XDSDocumentEntryTitle']}</ui:define>
                <h:inputText id="XDSDocumentEntryTitle" value="#{updateDocumentSet.selectedXDSDocumentEntry.title}"
                             styleClass="form-control">
                    <a4j:ajax event="blur" render="treesubid"/>
                </h:inputText>
            </s:decorate>


            <s:decorate template="/layout/form/_form_field_horizontal_inline.xhtml">
                <ui:param name="id" value="mimeType"/>
                <ui:define name="label">#{messages['net.ihe.gazelle.xdstar.MimeType']}</ui:define>
                <h:inputText
                        id="mimeType"
                        value="#{updateDocumentSet.selectedXDSDocumentEntry.mimeType}" styleClass="form-control"/>
            </s:decorate>

            <s:decorate template="/layout/form/_form_field_horizontal_inline.xhtml">
                <ui:param name="id" value="entryUUID"/>
                <ui:define name="label">XDSDocumentEntry.entryUUID</ui:define>
                <h:inputText
                        id="entryUUID"
                        value="#{updateDocumentSet.selectedXDSDocumentEntry.id}" styleClass="form-control">
                </h:inputText>
            </s:decorate>

        </div>
        <s:div id="metadatass">

            <f:subview id="subview_1">
                <ui:include src="pnr_docEntry_table.xhtml"/>
            </f:subview>
            <br/>
            <br/>
            <a4j:commandButton styleClass="gzl-btn-blue"
                               value="#{messages['net.ihe.gazelle.xdstar.RandomFulfil']}"
                               actionListener="#{updateDocumentSet.randomFulFilDocEntryMetadata()}"
                               render="metadata_id"/>
            <a4j:commandButton styleClass="gzl-btn-green"
                               value="#{messages['net.ihe.gazelle.xdstar.AddOptionalMetadata']}"
                               rendered="#{updateDocumentSet.listOptionalMetadata.size() &gt; 0}"
                               actionListener="#{updateDocumentSet.initListOptionalMetadata()}"
                               oncomplete="jq162('#AddOptionalMetadata').modal('show');"
                               render="AddOptionalMetadatadec,AddOptionalMetadataForm"/>
        </s:div>
        <br/>
    </gri:panel>
</ui:composition>
